Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for SAP BAPI API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.sapbapiadapter.sapbapi
Class ConnectorClient

    java.lang.Object
      com.stc.connector.sapbapiadapter.sapbapi.ConnectorClient

All Implemented Interfaces:
  Connector

Direct Known Subclasses:
  BapiClient

    public abstract class ConnectorClient

extends java.lang.Object
implements Connector

An interface to define the methods required by a SAP BAPI and IDOC connectors for outbound transactions from SAP

Version:
  $Revision: 1.8 $
Author:
  Rajesh Dhingra

Field Summary
`protected net.java.hulp.i18n.Logger` | `mLogger`
`static java.lang.String` | `XACT_COMMITROLLBACK_BAPI_STR` Via COMMIT/ROLLBACK BAPI string.
`static java.lang.String` | `XACT_NONE_STR` Non-Transactional mode string.
`static java.lang.String` | `XACT_TRFC_STR` Transactional RFC (tRFC) mode string.
`static java.lang.String` | `XACT_XA_STR` XA-compliant mode string.

Constructor Summary
`ConnectorClient()`

Method Summary
`void` | `commit()` Commit all the work done on SAP Server thus far.
`java.lang.String` | `getBapiOTDVer()`
`com.sap.mw.jco.JCO.Client` | `getClient()` Retrieves the SAP jCO client object.
`int` | `getClientMaxDBRows()` Retrieves the Maximum number of Rows the TID Database for client mode should have.
`protected TIDManager` | `getClientTiDManager()` Retrieves the TID Manager for tRFC client mode.
`java.lang.String` | `getClientTransactionalMode()` Retrieves the client Transactional Mode.
`protected ConnectorClient` | `getConnector()` Returns the ConnectorClient object.
`long` | `getLastActivityTime()` Gets the last time a connection activity was performed.
`java.lang.Throwable` | `getLastError()` Gets the last error due to a connection attempt.
`protected SAPConnector` | `getSAPConnector()` Get the SAP Connector object
`java.lang.String` | `getSystemID()` DOCUMENT ME!
`java.lang.String` | `getTidDatabase()` Retrieves the TID Database to use for client mode.
`protected void` | `init()` Initalizes the TID Manager Factory and misc
`boolean` | `isClientAvailable()` Tests if the Client portion is available.
`boolean` | `isClientDirty()` Tests whether Client Transactional work has been done.
`boolean` | `isClientTrfcEnabled()` Checks whether tRFC (transactional RFC) is enabled for server mode.
`boolean` | `isTrfcEnabled()` Checks whether tRFC (transactional RFC) is enabled for server mode.
`void` | `rollback()` Rollback all the work done on SAP Server thus far.
`void` | `setBapiOTDVer(java.lang.String otdVer)`
`void` | `setClient(com.sap.mw.jco.JCO.Client jCOclient)` DOCUMENT ME!
`void` | `setClientDirty()` Sets Client Transactional work has been done.
`void` | `setClientNeeded()` Indicates to the connector that the RFC Client connection is needed.
`void` | `setClientTransactionMode(java.lang.String mode)`
`void` | `setLastActivityTime(long lastActivityTime)` Sets the last time a connection activity was performed.
`void` | `setLastError(java.lang.Throwable lastError)` Sets the last error due to a connection attempt.
`void` | `setMaxDBRows(java.lang.String maxRows)`
`protected void` | `setSAPConnector(SAPConnector sapconn)` Set the SAP Connector object
`void` | `setSystemID(java.lang.String sysID)` Set the system ID
`void` | `setTidDatabase(java.lang.String tidDB)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### mLogger

    protected net.java.hulp.i18n.Logger mLogger

### XACT_NONE_STR

    public static final java.lang.String XACT_NONE_STR

  Non-Transactional mode string.

  See Also:
    Constant Field Values

### XACT_TRFC_STR

    public static final java.lang.String XACT_TRFC_STR

  Transactional RFC (tRFC) mode string.

  See Also:
    Constant Field Values

### XACT_COMMITROLLBACK_BAPI_STR

    public static final java.lang.String XACT_COMMITROLLBACK_BAPI_STR

  Via COMMIT/ROLLBACK BAPI string.

  See Also:
    Constant Field Values

### XACT_XA_STR

    public static final java.lang.String XACT_XA_STR

  XA-compliant mode string.

  See Also:
    Constant Field Values

Constructor Detail

### ConnectorClient

    public ConnectorClient()

Method Detail

### init

    protected void init()
                 throws javax.resource.ResourceException

  Initalizes the TID Manager Factory and misc

  Throws:
    `javax.resource.ResourceException` - on error

### getConnector

    protected ConnectorClient getConnector()

  Returns the ConnectorClient object.

  Returns:
    ConnectorClient

### setSAPConnector

    protected void setSAPConnector(SAPConnector sapconn)

  Set the SAP Connector object

  Parameters:
    `sapconn` - SAP Connector object

### getSAPConnector

    protected SAPConnector getSAPConnector()

  Get the SAP Connector object

  Returns:
    SAP Connector object

### setSystemID

    public void setSystemID(java.lang.String sysID)

  Set the system ID

  Parameters:
    `sysID` - the system ID string

### getSystemID

    public java.lang.String getSystemID()

  DOCUMENT ME!

  Returns:
    The System ID string

### getClient

    public com.sap.mw.jco.JCO.Client getClient()

  Retrieves the SAP jCO client object.

  Specified by:
    `getClient` in interface `Connector`
  Returns:
    The jCO client handle.

### setClient

    public void setClient(com.sap.mw.jco.JCO.Client jCOclient)

  DOCUMENT ME!

  Parameters:
    `jCOclient` - DOCUMENT ME!

### getClientTiDManager

    protected TIDManager getClientTiDManager()

  Retrieves the TID Manager for tRFC client mode.

  Returns:
    The TID Manager (can be `null` if tRFC not enabled)

### setBapiOTDVer

    public void setBapiOTDVer(java.lang.String otdVer)

### getBapiOTDVer

    public java.lang.String getBapiOTDVer()

### commit

    public void commit()
                throws SAPException

  Commit all the work done on SAP Server thus far.

  Throws:
    `java.lang.Exception` - When SAP problems occur.
    `SAPException`

### rollback

    public void rollback()
                  throws SAPException

  Rollback all the work done on SAP Server thus far.

  Throws:
    `java.lang.Exception` - When SAP problems occur.
    `SAPException`

### getClientTransactionalMode

    public java.lang.String getClientTransactionalMode()

  Retrieves the client Transactional Mode.

  Returns:
    Client Transactional Mode.

### setClientTransactionMode

    public void setClientTransactionMode(java.lang.String mode)

### getTidDatabase

    public java.lang.String getTidDatabase()

  Retrieves the TID Database to use for client mode. Interpretation subject to TID Manager Class.

  Specified by:
    `getTidDatabase` in interface `Connector`
  Returns:
    The TID Database name.

### setTidDatabase

    public void setTidDatabase(java.lang.String tidDB)

### setMaxDBRows

    public void setMaxDBRows(java.lang.String maxRows)

### getClientMaxDBRows

    public int getClientMaxDBRows()

  Retrieves the Maximum number of Rows the TID Database for client mode should have.

  Specified by:
    `getClientMaxDBRows` in interface `Connector`
  Returns:
    Maximum Rows.

### isClientTrfcEnabled

    public boolean isClientTrfcEnabled()

  Checks whether tRFC (transactional RFC) is enabled for server mode.

  Returns:
    `true` if tRFC is enabled; else `false`.

### isTrfcEnabled

    public boolean isTrfcEnabled()

  Checks whether tRFC (transactional RFC) is enabled for server mode.

  Specified by:
    `isTrfcEnabled` in interface `Connector`
  Returns:
    `true` if tRFC is enabled; else `false`.

### setClientNeeded

    public void setClientNeeded()

  Indicates to the connector that the RFC Client connection is needed.

### setLastActivityTime

    public void setLastActivityTime(long lastActivityTime)

  Sets the last time a connection activity was performed.

  Specified by:
    `setLastActivityTime` in interface `Connector`
  Parameters:
    `lastActivityTime` - the last time

### getLastActivityTime

    public long getLastActivityTime()

  Gets the last time a connection activity was performed.

  Returns:
    the lastActivityTime

### setLastError

    public void setLastError(java.lang.Throwable lastError)

  Sets the last error due to a connection attempt.

  Parameters:
    `lastError` - the error

### getLastError

    public java.lang.Throwable getLastError()

  Gets the last error due to a connection attempt.

  Returns:
    Throwable the error

### isClientAvailable

    public boolean isClientAvailable()
                              throws java.lang.Exception

  Tests if the Client portion is available.

  Returns:
    `true` if client is available.
  Throws:
    `java.lang.Exception` - on error

### isClientDirty

    public boolean isClientDirty()

  Tests whether Client Transactional work has been done.

  Returns:
    `true` if work done.

### setClientDirty

    public void setClientDirty()

  Sets Client Transactional work has been done.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for SAP BAPI API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD